sysdecode_kevent(3)

NAME
sysdecode_kevent, sysdecode_kevent_fflags, sysdecode_kevent_filter, sysdecode_kevent_flags - output description of kevent structure fields

LIBRARY
libsysdecode

SYNOPSIS
#include <sys/types.h>
#include <stdbool.h>
#include <stdio.h>
#include <sysdecode.h>
void
sysdecode_kevent_fflags(FILE *fp, short filter, int fflags, int base);
bool
sysdecode_kevent_flags(FILE *fp, int flags, int *rem);
const char *
sysdecode_kevent_filter(int filter);

DESCRIPTION
These functions provide text descriptions of struct kevent fields.

The sysdecode_kevent_fflags() function outputs a text description of the fflags member of a struct kevent to the stream fp. For the EVFILT_READ, EVFILT_WRITE, EVFILT_VNODE, EVFILT_PROC, EVFILT_PROCDESC, EVFILT_TIMER, and EVFILT_USER filters, sysdecode_kevent_fflags() outputs a bitmask of filter-specific NOTE_* flags as documented in kevent(2). For other values of filter, the value of fflags is output in the indicated base (one of 8, 10, or 16).

The sysdecode_kevent_filter() function returns a text description of the filter member of a struct kevent. NULL is returned if the filter value is unknown.

The sysdecode_kevent_flags() function outputs a text description of the flags member of a struct kevent to the stream fp. This function uses the same calling convention and formatting as the other functions described in sysdecode_mask(3).

RETURN VALUES
The sysdecode_kevent_filter function returns the name of a filter or NULL if the filter value is unknown.

The sysdecode_kevent_flags function returns true if any flags in the flags field were decoded and false if no flags were decoded.

SEE ALSO
sysdecode(3), sysdecode_enum(3), sysdecode_mask(3)